'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var AtomLabel = function AtomLabel(_ref) {
  var name = _ref.name,
      text = _ref.text,
      optionalText = _ref.optionalText;
  return _react2.default.createElement(
    'label',
    { htmlFor: name, className: 'sui-AtomLabel' },
    text,
    _react2.default.createElement(
      'span',
      { className: 'sui-AtomLabel-optionalText' },
      optionalText
    )
  );
};

AtomLabel.displayName = 'AtomLabel';

AtomLabel.defaultProps = {
  optionalText: '(optional)'
};

AtomLabel.propTypes = process.env.NODE_ENV !== "production" ? process.env.NODE_ENV !== "production" ? {
  /**
   * used as for attribute. Must be the same as the form element id
   */
  name: _propTypes2.default.string.isRequired,
  /**
   * The label itself
   */
  text: _propTypes2.default.string.isRequired,
  /**
   * The optional label text
   */
  optionalText: _propTypes2.default.string
} : {} : {};

exports.default = AtomLabel;